using VentaUniformes.Domain.Entities.User;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VentaUniformes.Domain.Entities.Customer;
using VentaUniformes.Domain.Entities.Sale;

namespace VentaUniformes.Application.Interfaces
{
    //servicion  para guardar datos
    public interface IPersistenciaService
    {
       public Task<bool> AddUser(UserEntity user);
        public Task<bool> UpdateUser(UserEntity user);
        public Task<bool> DeleteUser(int idUser);

        public Task<bool> UpdateNoNullUser(UserEntity user);
        public Task<List<UserEntity>> GetAllUser();
        public Task<UserEntity> GetUserById(int idUser);
        public Task<UserEntity> GetUserByPassAndName(string pass, string name);


        public Task<List<ProductEntity>> GetAllProduct();
        public Task<ProductEntity> GetProductById(int idProduct);

        public Task<int> AddSale(SaleEntity e);
        public Task<bool> DeleteSale(int idSale);
        public Task<bool> AddSaleBill(SaleBillEntity e);
        public Task<bool> AddLineSales(List<SaleLineEntity> e);

        public Task<List<SaleEntity>> GetSale(int top, string alumnoFilter);
        public Task<SaleEntity> GetSale(int IdSale);
        public Task<List<SaleLineEntity>> GetLineSale(int IdSale);
    }
}
